Remove a parent from a hierarchical inline domain
Removes a parent value and all its children from the hierarchical inline domain. **Required scope:** `domains:write`
Authorization
BearerAuth Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/parents/{parent}"{ "column_name": "string", "domain": { "type": "string", "allowed_values": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ], "parent_column": "string", "lookup": { "source": "string", "mappings": { "property1": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ], "property2": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ] }, "table_name": "string", "table_path": "string", "parent_key": "string", "child_key": "string", "table_id": "string" }, "reference_source": { "table_path": "string", "table_name": "string", "column": "string", "table_id": "string" } }}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}Add a parent to a hierarchical inline domain
Adds a new parent value entry (with an empty children list) to a hierarchical inline domain. Children can be added afterwards via the children endpoint. **Required scope:** `domains:write`
Add a child to a parent in a hierarchical inline domain
Appends a child value under the specified parent in a hierarchical inline domain. **Required scope:** `domains:write`